# BrigardierSupport

object BrigardierSupport
Content copied to clipboard

This class provides Brigardier support. It does that by using reflection once. Additionally, this class is using some obfuscated functions.

## Functions

register
Link copied to clipboard
fun LiteralArgumentBuilder<CommandListenerWrapper>.register(sendToPlayers: Boolean = true)
Content copied to clipboard
Registers this command at the CommandDispatcher of the server.
updateCommandTree
Link copied to clipboard
fun updateCommandTree()
Content copied to clipboard

## Properties

commandDispatcher
Link copied to clipboard
val commandDispatcher: CommandDispatcher<CommandListenerWrapper>
Content copied to clipboard
The command dispatcher is used to register brigardier commands.
commandManager
Link copied to clipboard
val commandManager: CommandDispatcher
Content copied to clipboard
The command manager is used to hold the command dispatcher, and to manage and dispatch the brigardier commands for all players on the server.